import l from "../../@babel/runtime/helpers/esm/extends.mjs";
import r from "../../@babel/runtime/helpers/esm/objectWithoutProperties.mjs";
import * as e from "react";
import u from "../../classnames/index.mjs";
import x from "./Item.mjs";
import { OverflowContext as s } from "./context.mjs";
var N = ["component"], I = ["className"], w = ["className"], R = function(t, m) {
  var a = e.useContext(s);
  if (!a) {
    var o = t.component, n = o === void 0 ? "div" : o, c = r(t, N);
    return /* @__PURE__ */ e.createElement(n, l({}, c, {
      ref: m
    }));
  }
  var i = a.className, d = r(a, I), f = t.className, v = r(t, w);
  return /* @__PURE__ */ e.createElement(s.Provider, {
    value: null
  }, /* @__PURE__ */ e.createElement(x, l({
    ref: m,
    className: u(i, f)
  }, d, v)));
}, C = /* @__PURE__ */ e.forwardRef(R);
C.displayName = "RawItem";
export {
  C as default
};
